/// <reference types="react" />
import { CardDataState, CardState, InfiniteCardProps } from "./type";
declare const useCardState: (props: InfiniteCardProps) => {
    baseData: CardDataState;
    dataState: CardState;
    setDataState: import("react").Dispatch<import("react").SetStateAction<CardState>>;
};
export default useCardState;
